Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.cpp.gpp
[Groovy] Class GppCompileSpec

    java.lang.Object
      org.gradle.plugins.cpp.gpp.GppCompileSpec

All Implemented Interfaces:
  CompileSpec, CompileTaskAware, CppCompileSpec, StandardCppCompiler

    class GppCompileSpec

Property Summary
`String` | `baseName`
`Binary` | `binary`
`String` | `extension`
`String` | `outputFileName`
`List` | `settings`
`Compile` | `task`

Constructor Summary
`GppCompileSpec(Binary binary, Compiler compiler, ProjectInternal project)`

Method Summary
`void` | `args(Object... args)`
`void` | `compile()` @deprecated No replacement
`void` | `configure(Compile task)`
`void` | `from(CppSourceSet sourceSet)`
`String` | `getBaseName()`
`TaskDependency` | `getBuildDependencies()`
`protected String` | `getDefaultOutputFileName()`
`String` | `getExtension()` @deprecated No replacement
`Iterable` | `getIncludeRoots()`
`Iterable` | `getLibs()`
`String` | `getName()`
`File` | `getOutputFile()`
`String` | `getOutputFileName()`
`Iterable` | `getSource()`
`Compile` | `getTask()` @deprecated No replacement
`File` | `getWorkDir()`
`void` | `includes(SourceDirectorySet dirs)`
`void` | `includes(FileCollection includeRoots)`
`void` | `includes(Iterable includeRoots)`
`void` | `libs(Iterable libs)`
`void` | `setBinary(Binary binary)` @deprecated No replacement
`void` | `setExtension(String extension)` @deprecated No replacement
`void` | `setTask(Compile task)` @deprecated No replacement
`void` | `setting(Closure closure)`
`void` | `sharedLibrary()` @deprecated No replacement
`void` | `source(Iterable files)`
`void` | `source(FileCollection files)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### baseName

    String baseName

### binary

    Binary binary

### extension

    String extension

### outputFileName

    String outputFileName

### settings

    List settings

### task

    Compile task

Constructor Detail

### GppCompileSpec

    GppCompileSpec(Binary binary, Compiler compiler, ProjectInternal project)

Method Detail

### args

    void args(Object... args)

### compile

    @Deprecated
    void compile()

  deprecated:
    No replacement

### configure

    void configure(Compile task)

### from

    void from(CppSourceSet sourceSet)

### getBaseName

    String getBaseName()

### getBuildDependencies

    TaskDependency getBuildDependencies()

### getDefaultOutputFileName

    protected String getDefaultOutputFileName()

### getExtension

    @Deprecated
    String getExtension()

  deprecated:
    No replacement

### getIncludeRoots

    Iterable getIncludeRoots()

### getLibs

    Iterable getLibs()

### getName

    String getName()

### getOutputFile

    File getOutputFile()

### getOutputFileName

    String getOutputFileName()

### getSource

    Iterable getSource()

### getTask

    @Deprecated
    Compile getTask()

  deprecated:
    No replacement

### getWorkDir

    File getWorkDir()

### includes

    void includes(SourceDirectorySet dirs)

### includes

    void includes(FileCollection includeRoots)

### includes

    void includes(Iterable includeRoots)

### libs

    void libs(Iterable libs)

### setBinary

    @Deprecated
    void setBinary(Binary binary)

  deprecated:
    No replacement

### setExtension

    @Deprecated
    void setExtension(String extension)

  deprecated:
    No replacement

### setTask

    @Deprecated
    void setTask(Compile task)

  deprecated:
    No replacement

### setting

    void setting(Closure closure)

### sharedLibrary

    @Deprecated
    void sharedLibrary()

  deprecated:
    No replacement

### source

    void source(Iterable files)

### source

    void source(FileCollection files)

Gradle API 1.1-rc-1